%define	uname	OpenBoard

#define gittag	47a96e1d6bbdc0250977d22f1b79f11fcc1cbeee
#define gitdate	20220608

%define rel 2

Name:		openboard
Version:	1.7.3
Release:	%mkrel %{?gitdate:0.git%{gitdate}.}%{rel}
Summary:	Interactive whiteboard for schools and universities
License:	GPLv3+
Group:		Education
Url:		https://openboard.ch
Source0:	https://github.com/OpenBoard-org/OpenBoard/archive/%{?gittag}%{!?gittag:v%{version}}/%{uname}-%{version}%{?gittag:-%{gittag}}.tar.gz
# from opensuse
Patch8:		0008-Linux-Only-use-onboard-by-default-if-it-s-installed.patch
Patch11:	0955-shortcut-configuration.patch
Patch13:	1165-fix-some-wayland-problems.patch
Patch14:	9117-disable-software-update.patch
# from arch
Patch20:	qchar.patch
# from debian
Patch53:	1006_fix-stencil-color.patch
#
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ffmpeg-devel
BuildRequires:	libgomp-devel
BuildRequires:	libpaper-devel
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6MultimediaWidgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(hunspell)

%description
OpenBoard is an open source cross-platform interactive white board
application designed primarily for use in schools. It was originally
forked from Open-Sankoré, which was itself based on Uniboard.

%prep
%autosetup -p1 -n %{uname}-%{?gittag}%{!?gittag:%{version}}

# Don't force C++ standard
sed -i -e '/CMAKE_CXX_STANDARD/d' CMakeLists.txt

%build
%cmake \
  -DCMAKE_CXX_STANDARD=20 \
  -DCMAKE_INSTALL_DATADIR=share \
  -DQT_VERSION=6
%cmake_build

%install
%cmake_install

# customizations
cp -R resources/customizations %{buildroot}%{_datadir}/%{name}/

# clean some exe bits
find %{buildroot} -executable -type f -name *.js -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.svg -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.css -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.xml -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.html -exec chmod -x '{}' \+

%files
%doc README.md
%license COPYRIGHT LICENSE
%{_bindir}/openboard
%{_sysconfdir}/openboard/
%{_datadir}/openboard/
%{_datadir}/applications/ch.openboard.OpenBoard.desktop
%{_iconsdir}/hicolor/scalable/apps/ch.openboard.OpenBoard.svg
%{_iconsdir}/hicolor/scalable/mimetypes/ch.openboard.application-ubz.svg
%{_datadir}/mime/packages/ch.openboard.openboard-ubz.xml


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 1.7.3-2.mga10
+ Revision: 2191290
- rebuild for new quazip 1.5

* Sat Apr 12 2025 daviddavid <daviddavid> 1.7.3-1.mga10
+ Revision: 2174830
- new version: 1.7.3

* Fri Apr 11 2025 wally <wally> 1.7.2-3.mga10
+ Revision: 2174743
- rebuild for poppler 25.04.0

* Sun Feb 02 2025 wally <wally> 1.7.2-2.mga10
+ Revision: 2144815
- rebuild for poppler 25.01.0

* Sun Dec 08 2024 daviddavid <daviddavid> 1.7.2-1.mga10
+ Revision: 2122830
- new version: 1.7.2
- rebuild for new ffmpeg 7.1

* Mon Jun 10 2024 wally <wally> 1.7.1-1.mga10
+ Revision: 2072463
- drop 32 bit builds due to Qt6WebEngine
- new version 1.7.1
- switch to Qt6
- build using cmake
- rebuild for poppler 24.06.0

* Tue Sep 05 2023 wally <wally> 1.7.0-0.git20220608.3.mga10
+ Revision: 1984499
- rebuild for poppler 23.08.0

* Sat Sep 02 2023 daviddavid <daviddavid> 1.7.0-0.git20220608.2.mga10
+ Revision: 1983629
- rebuild for new quazip 1.4

* Thu Mar 23 2023 papoteur <papoteur> 1.7.0-0.git20220608.1.mga9
+ Revision: 1950116
- new 1.7dev: replace qtwebkit by qtwebengine

* Sat Dec 03 2022 wally <wally> 1.6.4-2.mga9
+ Revision: 1916206
- rebuild for poppler 22.12.0

* Tue Oct 25 2022 ghibo <ghibo> 1.6.4-1.mga9
+ Revision: 1899280
- Add missed Qt5Concurrent to BR
- Rebuild against libpoppler 22.10.
- Update to release 1.6.4.
- Rework Patch1 for using system quazip5 lib.
- Replace ffmpeg5 patch with a more complete one.
- More patches from opensuse, deb, and arch.

* Sat Oct 08 2022 papoteur <papoteur> 1.6.1-14.mga9
+ Revision: 1895542
- Rebuild for Quazip

* Sat Sep 03 2022 wally <wally> 1.6.1-13.mga9
+ Revision: 1883699
- rebuild for poppler 22.09.0

* Fri Jul 29 2022 papoteur <papoteur> 1.6.1-12.mga9
+ Revision: 1872789
- fix build for FFMPEG5
+ wally <wally>
- rebuild for poppler 22.04.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sun Dec 19 2021 wally <wally> 1.6.1-8.mga9
+ Revision: 1762533
- rebuild for poppler 21.12.0

* Sun Nov 07 2021 wally <wally> 1.6.1-7.mga9
+ Revision: 1754538
- rebuild for poppler 21.11.0

* Sat Oct 02 2021 wally <wally> 1.6.1-6.mga9
+ Revision: 1747922
- rebuild for openssl 3.0.0

* Wed Sep 08 2021 wally <wally> 1.6.1-5.mga9
+ Revision: 1744505
- rebuild for poppler 21.09.0

* Thu Aug 12 2021 wally <wally> 1.6.1-4.mga9
+ Revision: 1741205
- rebuild for poppler 21.08.0

* Sat Jun 19 2021 wally <wally> 1.6.1-3.mga9
+ Revision: 1731289
- rebuild for poppler 21.06.1

* Tue May 18 2021 daviddavid <daviddavid> 1.6.1-2.mga9
+ Revision: 1725518
- switch to new quazip 1.0

* Thu Apr 22 2021 daviddavid <daviddavid> 1.6.1-1.mga9
+ Revision: 1717918
- new version: 1.6.1
- remove some merged upstream patches
- only use onboard by default if it's installed
- rework completely the default installation on mageia

* Sat Mar 20 2021 wally <wally> 1.5.4-6.mga9
+ Revision: 1705890
- rebuild for poppler 21.03.0

* Thu Dec 17 2020 umeabot <umeabot> 1.5.4-5.mga8
+ Revision: 1659209
- Rebuild for new Qt5

* Sun Dec 06 2020 wally <wally> 1.5.4-4.mga8
+ Revision: 1653359
- rebuild for poppler 20.12.0

* Thu Aug 06 2020 wally <wally> 1.5.4-3.mga8
+ Revision: 1611570
- rebuild for poppler 20.08.0

* Sat May 02 2020 wally <wally> 1.5.4-2.mga8
+ Revision: 1577942
- rebuild for poppler 0.88.0

* Sat May 02 2020 daviddavid <daviddavid> 1.5.4-1.mga8
+ Revision: 1577727
- new version: 1.5.4

* Sat Apr 04 2020 wally <wally> 1.5.3-5.mga8
+ Revision: 1564378
- rebuild for poppler 0.87.0

* Wed Mar 04 2020 wally <wally> 1.5.3-4.mga8
+ Revision: 1553717
- rebuild for poppler 0.86.1

* Tue Mar 03 2020 wally <wally> 1.5.3-3.mga8
+ Revision: 1553515
- rebuild for poppler 0.86.0

* Wed Feb 19 2020 umeabot <umeabot> 1.5.3-2.mga8
+ Revision: 1544125
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 daviddavid <daviddavid> 1.5.3-1.mga8
+ Revision: 1482592
- new version: 1.5.3
- remove merged upstream openssl 1.1 patch

* Thu Jan 23 2020 wally <wally> 1.5.2-8.mga8
+ Revision: 1482554
- rebuild for poppler 0.84.0

* Mon Dec 23 2019 wally <wally> 1.5.2-7.mga8
+ Revision: 1469673
- rebuild for poppler 0.83.0

* Thu Oct 31 2019 wally <wally> 1.5.2-6.mga8
+ Revision: 1457170
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 1.5.2-5.mga8
+ Revision: 1451110
- rebuild for poppler 0.81.0

* Thu Sep 19 2019 wally <wally> 1.5.2-4.mga8
+ Revision: 1443907
- rebuild for poppler 0.80.0

* Mon Jul 15 2019 wally <wally> 1.5.2-3.mga8
+ Revision: 1421639
- rebuild with poppler 0.78.0

* Sun Mar 31 2019 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1383608
- Qt5 Rebuild

* Fri Feb 22 2019 daviddavid <daviddavid> 1.5.2-1.mga7
+ Revision: 1369303
- new version: 1.5.2
- rediff and rename no_Third-Party patch

* Mon Feb 18 2019 wally <wally> 1.4.1-7.mga7
+ Revision: 1368162
- rebuild for new poppler 0.74.0

* Thu Feb 14 2019 alexl <alexl> 1.4.1-6.mga7
+ Revision: 1367096
- update desktop file

* Sat Jan 26 2019 wally <wally> 1.4.1-5.mga7
+ Revision: 1361108
- rebuild for new poppler 0.73.0

* Wed Jan 23 2019 daviddavid <daviddavid> 1.4.1-4.mga7
+ Revision: 1360402
- add patch to fix build with Qt5 >= 5.12

* Sat Dec 08 2018 wally <wally> 1.4.1-3.mga7
+ Revision: 1339038
- add patch to build with poppler 0.72.0

* Sat Nov 17 2018 wally <wally> 1.4.1-2.mga7
+ Revision: 1330540
- add patch and rebuild for new poppler 0.71.0

* Thu Nov 01 2018 daviddavid <daviddavid> 1.4.1-1.mga7
+ Revision: 1327342
- new version: 1.4.1

* Wed Oct 31 2018 wally <wally> 1.4.0-5.mga7
+ Revision: 1327003
- add patch to fix build with gcc 8

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-4.mga7
+ Revision: 1299978
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 daviddavid <daviddavid> 1.4.0-3.mga7
+ Revision: 1223011
- rebuild for new ffmpeg 4.0

* Sun Apr 15 2018 kekepower <kekepower> 1.4.0-2.mga7
+ Revision: 1219058
- Rebuild for new Poppler

* Fri Apr 13 2018 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1218354
- new version: 1.4.0

* Thu Feb 15 2018 daviddavid <daviddavid> 1.3.6-2.mga7
+ Revision: 1201415
- rebuild against OpenSSL 1.1
- add patch to fix build with OpenSSL 1.1
- change XPDFRenderer_with_poppler.patch to make it work with poppler >= 0.55
+ tv <tv>
- rebuild for new openssl
- rebuild for new poppler

* Fri Aug 25 2017 daviddavid <daviddavid> 1.3.6-1.mga7
+ Revision: 1147722
- new version: 1.3.6
- remove merged upstream patch

* Mon Jan 02 2017 luigiwalser <luigiwalser> 1.3.4-3.mga6
+ Revision: 1079509
- rebuild for poppler

* Tue Nov 29 2016 luigiwalser <luigiwalser> 1.3.4-2.mga6
+ Revision: 1070882
- rebuild for poppler

* Wed Sep 28 2016 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 1057248
- initial package openboard

